<?php
  
/*
----------------
Бан пользователю
----------------
*/
  
$account = DB::GET_STRING("SELECT * FROM `USERS` WHERE `ID` = '".INTVAL(GET('id'))."' LIMIT 1");

IF (!ISSET($account['ID'])){
  
  ERROR('Пользователь не найден');
  REDIRECT('/index');
  
}

IF (ACCESS('ban_user', NULL, 1) || MANAGEMENT == 1){
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=administration'>".LG('Админ панель')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".LG('Бан пользователю')."";
  ECHO "</div>";
  
  IF (POST('ok')){
    
    $err_data = 0;
    
    $message = ADSL(POST('message'));
    $ban = INTVAL(POST('ban'));
    $reason = INTVAL(POST('reason'));
    
    IF ($ban == 1){
      
      $nban = 1;
      
    }ELSE{
      
      $nban = 0;
      
    }
    
    $tban = TIME() + $ban;
    
    IF (STR($message) < 1){
      
      ERROR('Причина бана не может быть меньше  символа', 'session');      
      $err_data = 1;
    
    }
    
    IF (STR($message) > 500){
      
      ERROR('Причина бана не может быть больше 500 символов', 'session');
      $err_data = 1;
    
    }
    
    IF ($err_data == 1){
      
      REDIRECT('/modules/?path=administration&section=ban_user&id='.$account['ID'].'');
    
    }
    
    DB::GET_ADD("INSERT INTO `BAN_USER` (`BAN`, `BAN_TIME`, `REASON`, `ADM_ID`, `USER_ID`, `MESSAGE`, `TIME`) VALUES ('".$nban."', '".$tban."', '".$reason."', '".$user['ID']."', '".$account['ID']."', '".$message."', '".TIME()."')");
    
    IF (ACCESS('ban_user', NULL, 1) || MANAGEMENT == 1){
      
      LOGS('Бан - выдача бана пользователю '.ADSL($account['LOGIN']).'', $user['ID']);
    
    }
    
    SUCCESS('Бан успешно выдан', 'session');
    REDIRECT('/id'.$account['ID'].'');
  
  }
  
  ECHO "<div class='list'>";
      
  ECHO "<form method='post' class='form' action='/modules/?path=administration&section=ban_user&id=".$account['ID']."'>";
  
  ECHO "<b>".LG('Причина бана').":</b><br /><select name='reason' class='form-control-select'>";
  
  ECHO "<option value='1'>".LG('СПАМ, реклама')."</option>";
  ECHO "<option value='2'>".LG('Мошенничество')."</option>";
  ECHO "<option value='3'>".LG('Нецензурная брань, оскорбления')."</option>";
  ECHO "<option value='4'>".LG('Разжигание ненависти')."</option>";
  ECHO "<option value='5'>".LG('Пропаганда нацизма')."</option>";
  ECHO "<option value='6'>".LG('Пропаганда наркотиков')."</option>";
  ECHO "<option value='7'>".LG('Систематические нарушения')."</option>";
  ECHO "<option value='0'>".LG('Иная')."</option>";
  
  ECHO "</select><br /><br />";
      
  ECHO "<b>".LG('Опишите коротко причину')."</b> (".LG('от 1 до 500 символов')."):<br />";
  HTML::TEXTAREA(NULL, 'message', 'Причина бана', NULL, 'form-control-100');
  
  ECHO "<br /><b>".LG('Время бана').":</b><br /><select name='ban' class='form-control-select'>";
  
  ECHO "<option value='1'>".LG('Бан навсегда')."</option>";
  ECHO "<option value='60'>1 ".LG('минута')."</option>";
  ECHO "<option value='300'>5 ".LG('минут')."</option>";
  ECHO "<option value='600'>10 ".LG('минут')."</option>";
  ECHO "<option value='1200'>20 ".LG('минут')."</option>";
  ECHO "<option value='1800'>30 ".LG('минут')."</option>";
  ECHO "<option value='3600'>1 ".LG('час')."</option>";
  ECHO "<option value='7200'>2 ".LG('часа')."</option>";
  ECHO "<option value='10800'>3 ".LG('часа')."</option>";
  ECHO "<option value='14400'>4 ".LG('часа')."</option>";
  ECHO "<option value='18000'>5 ".LG('часов')."</option>";
  ECHO "<option value='36000'>10 ".LG('часов')."</option>";
  ECHO "<option value='86400'>1 ".LG('день')."</option>";
  ECHO "<option value='172800'>2 ".LG('дня')."</option>";
  ECHO "<option value='259200'>3 ".LG('дня')."</option>";
  ECHO "<option value='345600'>4 ".LG('дня')."</option>";
  ECHO "<option value='432000'>5 ".LG('дней')."</option>";
  ECHO "<option value='864000'>10 ".LG('дней')."</option>";
  ECHO "<option value='1728000'>20 ".LG('дней')."</option>";
  ECHO "<option value='2592000'>1 ".LG('месяц')."</option>";
  ECHO "<option value='5184000'>2 ".LG('месяца')."</option>";
  ECHO "<option value='7776000'>3 ".LG('месяца')."</option>";
  ECHO "<option value='10368000'>4 ".LG('месяца')."</option>";
  ECHO "<option value='12960000'>5 ".LG('месяцев')."</option>";
  ECHO "<option value='15552000'>6 ".LG('месяцев')."</option>";
  ECHO "<option value='31104000'>1 ".LG('год')."</option>";
  
  ECHO "</select><br /><br />";
      
  HTML::BUTTON('btn-big ajax-button', 'ok', 'ban', 'Выдать бан');
      
  ECHO "</form>";
  
  ECHO "</div>";
  
  $column = DB::GET_COLUMN("SELECT COUNT(*) FROM `BAN_USER` WHERE `USER_ID` = '".$account['ID']."'");
  $spage = SPAGE($column, $page_settings);
  $page = PAGE($spage);
  $limit = $page_settings * $page - $page_settings;
  
  IF ($column == 0){ 
    
    HTML::EMPTY();
  
  }ELSE{
    
    ECHO "<div class='list-body'>"; 
  
  }
  
  IF (GET('delete') && DB::GET_COLUMN("SELECT COUNT(*) FROM `BAN_USER` WHERE `ID` = '".INTVAL(GET('delete'))."' LIMIT 1") == 1){
    
    DB::GET_SET("DELETE FROM `BAN_USER` WHERE `ID` = '".INTVAL(GET('delete'))."' LIMIT 1");
    
    REDIRECT('/modules/?path=administration&section=ban_user&id='.$account['ID'].'');
    
  }
  
  $data = DB::GET_STRING_ALL("SELECT * FROM `BAN_USER` WHERE `USER_ID` = '".$account['ID']."' ORDER BY `TIME` DESC LIMIT ".$limit.", ".$page_settings."");
  
  WHILE ($list = $data->FETCH()){
    
    ECHO "<div class='list-menu'>";
    
    IF ($list['REASON'] == 1){
      
      $reason = 'СПАМ, реклама';
      
    }ELSEIF ($list['REASON'] == 2){
      
      $reason = 'Мошенничество';
      
    }ELSEIF ($list['REASON'] == 3){
      
      $reason = 'Нецензурная брань, оскорбления';
      
    }ELSEIF ($list['REASON'] == 4){
      
      $reason = 'Разжигание ненависти';
      
    }ELSEIF ($list['REASON'] == 5){
      
      $reason = 'Пропаганда нацизма';
      
    }ELSEIF ($list['REASON'] == 6){
      
      $reason = 'Пропаганда наркотиков';
      
    }ELSEIF ($list['REASON'] == 7){
      
      $reason = 'Систематические нарушения';
      
    }ELSEIF ($list['REASON'] == 0){
      
      $reason = 'Иная';
      
    }
    
    ECHO "<b>".LG('Причина бана').":</b> ".LG($reason)."<br /><br />";
    ECHO "<b>".LG('Бан выдал').":</b> "; 
    ECHO "".USER::LOGIN($list['ADM_ID'], 1, 1)."<br /><br />";
    ECHO "<b>".LG('Пользователь').":</b> ";
    ECHO "".USER::LOGIN($list['USER_ID'], 1, 1)."<br /><br />";
    ECHO "<b>".LG('Комментарий').":</b> ";
    ECHO "".TEXT($list['MESSAGE'])."<br /><br />";
    ECHO "<b>".LG('Время выдачи бана').":</b> ";
    ECHO "".FTIME($list['TIME'])."<br /><br />";
    ECHO "<b>".LG('Время бана').":</b> ";
    
    IF ($list['BAN'] == 1){
      
      ECHO "".LG('Навсегда')."<br /><br />";
      
    }ELSE{
      
      ECHO "".LG('до')." ".FTIME($list['BAN_TIME'])."<br /><br />";
      
    }
    
    ECHO "<a href='/modules/?path=administration&section=ban_user&id=".$account['ID']."&delete=".$list['ID']."' class='btn'>".ICONS('trash', 15, 'fa-fw')." ".LG('Удалить')."</a>";
    
    ECHO "</div>";
  
  }
  
  IF ($column > 0){
    
    ECHO "</div>";
  
  }
  
  IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=administration&section=ban_user&id='.$account['ID'].'&', $spage, $page); }
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=administration'>".LG('Админ панель')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".LG('Бан пользователю')."";
  ECHO "</div>";
  
}ELSE{
  
  REDIRECT('/index');
  
}
  
?>